gamerule mobGriefing true

# Load arena
kill @e[type=area_effect_cloud,tag=GAMESpreadChunkLoad]
summon area_effect_cloud ~ ~ ~ {Tags:["GAMESpreadChunkLoad"]}
spreadplayers 1203 -301 0 1 false @e[type=area_effect_cloud,tag=GAMESpreadChunkLoad]
setblock 1200 28 -304 air
setblock 1200 28 -304 structure_block mode=load replace {mode:"LOAD",name:"arena_loader",integrity:0.0f}
setblock 1200 29 -304 redstone_block default destroy

function debug:kill_rafts

# Tag spawn markers in this arena
scoreboard players tag @e[type=area_effect_cloud] remove GAMESpawnMarkerCandidate
scoreboard players tag @e[type=area_effect_cloud,tag=GAMESpawnMarkerRocks] add GAMESpawnMarkerCandidate

# Update marker bat tags
scoreboard players tag 0-0-0-0-1 remove MAPBay
scoreboard players tag 0-0-0-0-1 remove MAPRocks
scoreboard players tag 0-0-0-0-1 remove MAPSea
scoreboard players tag 0-0-0-0-1 remove MAPGlaciers
scoreboard players tag 0-0-0-0-1 add MAPRocks

# Teleport data bat, set world spawn at it
execute 0-0-0-0-1 ~ ~ ~ spreadplayers 1459 -48 0 1 false @s
setworldspawn 1459 200 -48

# If arena already pre-generated
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=RocksReady] ~ ~ ~ function phase_build:start_callback
# Else
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=!RocksReady] ~ ~ ~ tellraw @a {"text":"Regenerating destructible map, prepare for ~30 seconds of lag.","color":"green"}
execute 0-0-0-0-1 ~ ~ ~ scoreboard players set @s[tag=!RocksReady] LOADTimer 0
execute 0-0-0-0-1 ~ ~ ~ entitydata @s[tag=!RocksReady] {CustomName:"PhaseLoad"}

scoreboard players tag 0-0-0-0-1 remove RocksReady