gamerule doTileDrops false
gamerule naturalRegeneration false
entitydata 0-0-0-0-1 {CustomName:"PhasePlay"}
scoreboard players set 0-0-0-0-1 ItemTimer 0

# Set world border
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=MAPBay] ~ ~ ~ worldborder center 400 -48
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=MAPGlaciers] ~ ~ ~ worldborder center 3568 -48
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=MAPRocks] ~ ~ ~ worldborder center 1459 -48
execute 0-0-0-0-1 ~ ~ ~ execute @s[tag=MAPSea] ~ ~ ~ worldborder center 2512 -48
worldborder set 510

# Remove build barriers
#execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen,c=1] ~ ~ ~ fill ~-8 ~-1 ~-8 ~7 ~-1 ~7 water
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~8 ~ ~7 ~8 100 ~-8 air default replace barrier
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~7 ~ ~8 ~-8 100 ~8 air default replace barrier
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~-9 ~ ~7 ~-9 100 ~-8 air default replace barrier
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~7 ~ ~-9 ~-8 100 ~-9 air default replace barrier
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ fill ~7 100 ~7 ~-8 100 ~-8 air default replace barrier

# Per-player stuff
execute @a[m=!spectator] ~ ~ ~ function phase_play:start_player

# Give out anchors (FFA: Everyone gets one, TEAM & AI: Random team member gets one)
replaceitem entity @a[m=!spectator,team=play] slot.hotbar.8 chorus_fruit_popped 1 0 {display:{LocName:"Anchor",Lore:["§r§7Hold to temporarily stop raft"]},HideFlags:16}
replaceitem entity @r[m=!spectator,team=play_ai] slot.hotbar.8 chorus_fruit_popped 1 0 {display:{LocName:"Anchor",Lore:["§r§7Hold to temporarily stop raft"]},HideFlags:16}
replaceitem entity @r[m=!spectator,team=blue] slot.hotbar.8 chorus_fruit_popped 1 0 {display:{LocName:"Anchor",Lore:["§r§7Hold to temporarily stop raft"]},HideFlags:16}
replaceitem entity @r[m=!spectator,team=red] slot.hotbar.8 chorus_fruit_popped 1 0 {display:{LocName:"Anchor",Lore:["§r§7Hold to temporarily stop raft"]},HideFlags:16}
replaceitem entity @r[m=!spectator,team=green] slot.hotbar.8 chorus_fruit_popped 1 0 {display:{LocName:"Anchor",Lore:["§r§7Hold to temporarily stop raft"]},HideFlags:16}
replaceitem entity @r[m=!spectator,team=yellow] slot.hotbar.8 chorus_fruit_popped 1 0 {display:{LocName:"Anchor",Lore:["§r§7Hold to temporarily stop raft"]},HideFlags:16}

# Entityze rafts
execute @e[type=area_effect_cloud,tag=GAMESpawnMarkerChosen] ~ ~ ~ function raft:create/start

# Start AI
execute @e[type=armor_stand,tag=AIGame] ~ ~ ~ function ai:start_play

# Messages
title @a title {"text":"Start!","color":"green"}
tellraw @a {"text":"Start!","color":"green"}