# Respawn
execute @s[score_DeathTime_min=1,score_DeathTime=1] ~ ~ ~ function phase_play:respawn

# Check if dealing damage, to speed up block destruction detection (normally happens once every 3 ticks for performance):
execute @s[score_RAFTDealDamage_min=1] ~ ~ ~ scoreboard players tag @e[type=shulker,tag=RAFTBlock,r=10] add RAFTDead {AbsorptionAmount:0.0f}
execute @s[score_RAFTDealDamage_min=1] ~ ~ ~ execute @e[type=shulker,tag=RAFTDead,r=10] ~ ~ ~ function raft:block_destroy
scoreboard players set @s[score_RAFTDealDamage_min=1] RAFTDealDamage 0

# Check if used cannonball (few extra checks just in case)
scoreboard players tag @s add GAMEUsedCannonball {Inventory:[{id:"minecraft:shears",Damage:1s}]}
scoreboard players tag @s add GAMEUsedCannonball {Inventory:[{id:"minecraft:shears",Damage:2s}]}
scoreboard players tag @s add GAMEUsedCannonball {Inventory:[{id:"minecraft:shears",Damage:3s}]}
scoreboard players tag @s add GAMEUsedCannonball {Inventory:[{id:"minecraft:shears",Damage:4s}]}
scoreboard players tag @s add GAMEUsedCannonball {Inventory:[{id:"minecraft:shears",Damage:5s}]}
function phase_play:use_cannonball if @s[tag=GAMEUsedCannonball]

# Use helm
scoreboard players tag @s remove RAFTOnHelm
scoreboard players tag @s add RAFTOnHelm {RootVehicle:{Entity:{id:"minecraft:armor_stand",Tags:["RAFTHelmStand"]}}}

execute @s[tag=RAFTOnHelm] ~ ~ ~ title @s[tag=!RAFTWasOnHelm] actionbar {"text":"Right click in a direction to sail","color":"gold"}

scoreboard players tag @s remove RAFTWasOnHelm
scoreboard players tag @s[tag=RAFTOnHelm] add RAFTWasOnHelm

function phase_play:right_click if @s[score_UseCoaS_min=1,tag=RAFTOnHelm]
scoreboard players set @s[score_UseCoaS_min=1] UseCoaS 0


# If CoaS taken out of offhand
scoreboard players tag @s remove StillHasCoaS
scoreboard players tag @s add StillHasCoaS {Inventory:[{id:"minecraft:carrot_on_a_stick",Slot:-106b}]}
execute @s[tag=!StillHasCoaS] ~ ~ ~ function phase_play:remove_coas

# Anchor
scoreboard players tag @s remove HasAnchor
scoreboard players tag @s add HasAnchor {SelectedItem:{id:"minecraft:chorus_fruit_popped"}}
execute @s[tag=HasAnchor] ~ ~ ~ execute @s[tag=!HadAnchor] ~ ~ ~ function raft:anchor
execute @s[tag=HadAnchor] ~ ~ ~ execute @s[tag=!HasAnchor] ~ ~ ~ function raft:unanchor
scoreboard players tag @s remove HadAnchor
scoreboard players tag @s[tag=HasAnchor] add HadAnchor

# Kill and give back cutlass if dropped
execute @s[score_DropCutlass_min=1] ~ ~ ~ function phase_play:drop_cutlass

# Handle relogging players
execute @s[score_LeaveGame_min=1] ~ ~ ~ function phase_play:player_relog

# XP
xp -10l @s

# Beam
particle endRod ~ ~100 ~ 0.5 0.5 0.5 0 5 force @a[rm=0]

# Camping respawn screen
execute @s[score_DeathTime=0] ~ ~ ~ function phase_play:on_respawn_screen