# Reset respawn screen camping timer
scoreboard players set @s OnRespawnScreen 0

# Teleport to chest with same RaftID, add eliminated tag if teleport fails
scoreboard players operation @e[type=armor_stand,tag=RAFTChestValid] RaftID -= @s RaftID
scoreboard players tag @s add GAMEEliminated
scoreboard players add @s SuccessCount 0
stats entity @s set SuccessCount @s SuccessCount
tp @s @e[type=armor_stand,tag=RAFTChestValid,score_RaftID_min=0,score_RaftID=0]
scoreboard players tag @s[score_SuccessCount_min=1] remove GAMEEliminated
scoreboard players operation @e[type=armor_stand,tag=RAFTChestValid] RaftID += @s RaftID
stats entity @s clear SuccessCount

# Let player get killed by water again
advancement revoke @s only technical:entered_water

# ☠ Elimination
execute @s[tag=GAMEEliminated] ~ ~ ~ execute @a ~ ~ ~ playsound minecraft:entity.evocation_illager.prepare_summon master @s ~ ~ ~ 2 1.5
gamemode spectator @s[tag=GAMEEliminated]
execute @s[tag=GAMEEliminated] ~ ~ ~ tellraw @a [{"text":"☠ ","color":"dark_gray"},{"selector":"@s"},{"text":" has been eliminated! ☠","color":"dark_gray"}]

# Teleport dead spectators to nearest player instead
tp @s[m=spectator] @a[c=1,m=!spectator]